upgrade to php5.2.5 breaks everything

merlinpa1969

Well-Known Member
Dec 3, 2003
108
0
166
PA
cPanel Access Level
Root Administrator
Ok use ea3 to upgrade to php5.2.5 and now 1/2 the sites on the server either DONT work or only work partway
getting permission errors

chmod settings are correct

put ticket in over 8 hrs ago I guess no one is working in Houston tonight
 

merlinpa1969

Well-Known Member
Dec 3, 2003
108
0
166
PA
cPanel Access Level
Root Administrator
any one have an idea what the hell this is
Use of uninitialized value in substitution (s///) at /usr/local/cpanel/Cpanel/AdvConfig/apache.pm line 231.
Use of uninitialized value in substitution (s///) at /usr/local/cpanel/Cpanel/AdvConfig/apache.pm line 246.
 

darren.nolan

Well-Known Member
Oct 4, 2007
259
0
66
Using ea3 I've upgraded both version 4 and 5 to the latest as advised by PHP.net (I don't normally like to run the latest version, normally one or two builds behind).

But 5.2.5 works well for me. My only suggestion would be to roll back your version to what you had prior to your errors (so your sites work) until a cPanel member can look at your support ticket.